Subject: Re: [PATCH] pretty: add format specifiers: %gr, %gt, %gI, gi

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 Jul 2016 12:07:45 -0700

Theodore Ts'o <[email-masked]> writes:

>> I'm on the fence, so I'll let you decide how you want to proceed. I can
>> live with "%gr" and "%gt", as they are at least symmetric with their
>> author/committer counterparts.
>
> I'm on the fence myself.  I can live with either, since either way the
> long message command line will be going in .gitconfig.  I have a
> slight preference for %gr and %gt, as %gT isn't orthogonal with
> %ad/%cd, but I could be easily pursuaded otherwise.
>
> Does anyone else have a strong opinion?

I am fine with %gr/%gt, with the understanding that the step beyond
that would not be to add %gT but to do %(reflog:...), and giving
similar longform to other things like %ad so that we can move things
in the "maybe cumbersome to type but more readable" direction.